<?php
include 'header.php';
include 'erpc_tipos_movimentacao_toolbar.php';
include_once 'connect.php';

$id = -1;

if(isset($_GET['id'])){
    $id = base64_decode($_GET['id']);
}

?>

<!-- Nav tabs -->
<ul class="nav nav-tabs" role="tablist">
  <li role="presentation" class="active"><a href="#form1" aria-controls="form1" role="tab" data-toggle="tab">Dados Cadastrais</a></li>
  <!--
  <li role="presentation"><a href="#form2" aria-controls="form2" role="tab" data-toggle="tab">Form #2</a></li>
  <li role="presentation"><a href="#form3" aria-controls="form3" role="tab" data-toggle="tab">Form #3</a></li>
  <li role="presentation"><a href="#form4" aria-controls="form4" role="tab" data-toggle="tab">Form #4</a></li>
  -->
</ul>

<!-- Tab panes -->
<div class="tab-content">
  <div role="tabpanel" class="tab-pane fade in active" id="form1">
  <form id=validate_custom method=POST action="erpc_tipos_movimentacao_ws.php">
  <input type="hidden" value="<?php echo $id; ?>" name="id" id="id">

  <div class=block>
      <div class=header>
            <h2>Excluir Tipo Movimentação</h2>
            <div class="side pull-right"> <button class="btn btn-default btn-clean" onClick="clear_form('#validate_custom');" type=button>Clear form</button>      </div>
      </div>

      <div class="content controls">
        	<?php
        		$consulta = "select * from erpc_tipos_movimentacao where id = '$id' and st_ativo =1";

        		$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
        		if (mysqli_num_rows($resultado)>0) {
        		while ($registro = mysqli_fetch_assoc($resultado)){

              $tp_tipo = trim($_POST['tp_tipo']);
              $ds_tipo = trim($_POST['ds_tipo']);
              $fl_gera_duplicata = trim($_POST['fl_gera_duplicata']);
              $fl_atualiza_estoque = trim($_POST['fl_atualiza_estoque']);
              $id_tipo_devolucao = trim($_POST['id_tipo_devolucao']);
              $fl_atualiza_preco_compra = trim($_POST['fl_atualiza_preco_compra']);
              $fl_atualiza_origem = trim($_POST['fl_atualiza_origem']);
              $ds_cfop = trim($_POST['ds_cfop']);
              $fl_calcula_icms = trim($_POST['fl_calcula_icms']);
              $fl_calcula_ipi = trim($_POST['fl_calcula_ipi']);
              $fl_calcula_iss = trim($_POST['fl_calcula_iss']);
              $id_agrega_solidario = trim($_POST['id_agrega_solidario']);
              $fl_desp_ac_ipi = trim($_POST['fl_desp_ac_ipi']);
              $fl_credita_ipi = trim($_POST['fl_credita_ipi']);
              $nr_perc_reducao_ipi = trim($_POST['nr_perc_reducao_ipi']);
              $nr_perc_reducao_icms = trim($_POST['nr_perc_reducao_icms']);
              $id_situacao_tributaria = trim($_POST['id_situacao_tributaria']);
              $erpc_tipos_movimentacaocol = trim($_POST['erpc_tipos_movimentacaocol']);
              $id_agrega_valor = trim($_POST['id_agrega_valor']);
              $id_pis_cofins = trim($_POST['id_pis_cofins']);
              $fl_credita_pis_cofins = trim($_POST['fl_credita_pis_cofins']);
              $id_livros_fiscais_icms = trim($_POST['id_livros_fiscais_icms']);
              $id_livros_fiscais_ipi = trim($_POST['id_livros_fiscais_ipi']);
              $fl_pis_cofins_total = trim($_POST['fl_pis_cofins_total']);
              $fl_retem_iss = trim($_POST['fl_retem_iss']);
              $fl_calcula_icm_frete = trim($_POST['fl_calcula_icm_frete']);
              $fl_retem_pis = trim($_POST['fl_retem_pis']);
              $fl_retem_cof = trim($_POST['fl_retem_cof']);
              $id_poder_terceiros = trim($_POST['id_poder_terceiros']);
              $fl_retem_irrf = trim($_POST['fl_retem_irrf']);
              $fl_retem_inss = trim($_POST['fl_retem_inss']);
              $fl_retem_csll = trim($_POST['fl_retem_csll']);
              $fl_calcula_irrf = trim($_POST['fl_calcula_irrf']);
              $fl_calcula_inss = trim($_POST['fl_calcula_inss']);
              $fl_calcula_csll = trim($_POST['fl_calcula_csll']);
              $id_natureza_nfse = trim($_POST['id_natureza_nfse']);
              $fl_calcula_funr = trim($_POST['fl_calcula_funr']);
              $fl_retem_funr = trim($_POST['fl_retem_funr']);
              $nr_perc_reducao_icms_st = trim($_POST['nr_perc_reducao_icms_st']);
              $fl_desp_ac_icms = trim($_POST['fl_desp_ac_icms']);
              $tp_pagamento_imposto = trim($_POST['tp_pagamento_imposto']);
              $fl_desconto_condicional = trim($_POST['fl_desconto_condicional']);
              $erpc_tipos_movimentacaocol1 = trim($_POST['erpc_tipos_movimentacaocol1']);
              $id_pagamento_imposto = trim($_POST['id_pagamento_imposto']);
              $id_dom_csosn = trim($_POST['id_dom_csosn']);
              $ds_icms_st_mt = trim($_POST['ds_icms_st_mt']);
              $ds_ipi_bc = trim($_POST['ds_ipi_bc']);
              $fl_icms_diferido = trim($_POST['fl_icms_diferido']);
              $nr_perc_icms_dif = trim($_POST['nr_perc_icms_dif']);
              $nr_perc_red_iss = trim($_POST['nr_perc_red_iss']);
              $ds_ajuste_ciap = trim($_POST['ds_ajuste_ciap']);
              $ds_info_st_anterior = trim($_POST['ds_info_st_anterior']);
              $ds_mat_consumo = trim($_POST['ds_mat_consumo']);
              $ds_cofins_zfranca = trim($_POST['ds_cofins_zfranca']);
              $ds_pis_zfranca = trim($_POST['ds_pis_zfranca']);
              $ds_ipi_bruto = trim($_POST['ds_ipi_bruto']);
              $ds_natureza_operacao = trim($_POST['ds_natureza_operacao']);
              $id_motivo_desoneracao = trim($_POST['id_motivo_desoneracao']);
              $erpc_dom_sit_trib_pis_id = trim($_POST['erpc_dom_sit_trib_pis_id']);
              $erpc_dom_sit_trib_cof_id = trim($_POST['erpc_dom_sit_trib_cof_id']);
        			}
        		}
        	?>
          <div class="form-row">
            <div class="col-md-2" >Tipo</div>
              <div class="col-md-6">
              <select disabled name="tp_tipo" id="tp_tipo">
                <option value="1" <?if(isset($tp_tipo) && $tp_tipo=="1"){echo "checked";}?>>Entrada</option>
                <option value="0" <?if(isset($tp_tipo) && $tp_tipo=="0"){echo "checked";}?>>Saida</option>
              </select>
              </div>
            </div>

          <div class="form-row">
            <div class="col-md-2" >Descrição</div>
            <div class="col-md-6"><input disabled value="<?if(isset($ds_tipo)){echo $ds_tipo;}?>"name="ds_tipo" id="ds_tipo" class="form-control"/></div>
          </div>

          <div class="form-row">
            <div class="col-md-2"><label>Gera Duplicata</label></div>
            <div class="col-md-6">
              <select disabled name="fl_gera_duplicata" id="fl_gera_duplicata" >
                <option value="1" <?if(isset($fl_gera_duplicata) && $fl_gera_duplicata=="1"){echo "checked";}?>>Entrada</option>
                <option value="0" <?if(isset($fl_gera_duplicata) && $fl_gera_duplicata=="0"){echo "checked";}?>>Saida</option>
              </select>
            </div>
          </div>

          <div class="form-row">
            <div class="col-md-2"><label>Atualiza Estoque</label></div>
            <div class="col-md-6">
              <select disabled name="fl_atualiza_estoque" id="fl_atualiza_estoque" >
                <option value="1" <?if(isset($fl_atualiza_estoque) && $fl_atualiza_estoque=="1"){echo "checked";}?>>Sim</option>
                <option value="0" <?if(isset($fl_atualiza_estoque) && $fl_atualiza_estoque=="0"){echo "checked";}?>>Não</option>
              </select>
            </div>
          </div>

          <div class="form-row">
            <div class="col-md-2"><label>Tipo Devolução</label></div>
            <div class="col-md-2">
              <div class="input-group">
                <input disabled value="<?if(isset($id_tipo_devolucao)){echo $id_tipo_devolucao;}?>" type=number name="id_tipo_devolucao" id="id_tipo_devolucao" maxlenght="10" size="4">
                  <div class="input-group-addon">
                  <a href="erpc_dom_tipo_devolucao_helper.php" class='input-helper' data-remote="false" data-toggle="modal" data-target="#helper-modal-div" data-parameter="" data-value="#id_tipo_devolucao" data-description="#ds_tipo_devolucao" data-title="Selecione:">
                  <span class="fa fa-search"></span></a>
                  </div>
               </div>
            </div>
            <div class="col-md-4"><input disabled name="ds_tipo_devolucao" id="ds_tipo_devolucao" readonly></div>
          </div>

          <div class="form-row">
            <div class="col-md-2"><label>Atualiza Preço Compra</label></div>
            <div class="col-md-6">
              <select disabled name="fl_atualiza_preco_compra" id="fl_atualiza_preco_compra" >
                <option value="1" <?if(isset($fl_atualiza_preco_compra) && $fl_atualiza_preco_compra=="1"){echo "checked";}?>>Sim</option>
                <option value="0" <?if(isset($fl_atualiza_preco_compra) && $fl_atualiza_preco_compra=="0"){echo "checked";}?>>Não</option>
              </select>
            </div>
          </div>

          <div class="form-row">
            <div class="col-md-2"><label>Atualiza Origem</label></div>
            <div class="col-md-6">
              <select disabled name="fl_atualiza_origem" id="fl_atualiza_origem" >
                <option value="1" <?if(isset($fl_atualiza_origem) && $fl_atualiza_origem=="1"){echo "checked";}?>>Sim</option>
                <option value="0" <?if(isset($fl_atualiza_origem) && $fl_atualiza_origem=="0"){echo "checked";}?>>Não</option>
              </select>
            </div>
          </div>

    </div>
    <div class=footer>
      <div class="side pull-right">
        <div class=btn-group>
		        <button class="btn btn-default" type="button" onClick="window.history.go(-1)" value="Voltar">Voltar</button>
            <button class="btn btn-warning" type="submit" value="excluir" name="excluir">Confirma a exclusão?</button>
    			  <!--botao antigo
    		    <button class="btn btn-default" type=button onClick="$('#validate_custom').validationEngine('hide');">Hide prompts</button>            <button class="btn btn-success" type=submit>Submit</button>
    		   -->
		    </div>
      </div>
    </div>

  </div>
</form>

  </div>

</div>

<?php include 'footer.php';?>
